Subject: bug#24947: ssh not working with ido

From: Colin Baxter <[email-masked]>
Date: Thu, 17 Nov 2016 13:57:08 +0000

17.11.2016, 11:39, "Michael Albinus" <[email-masked]>:
> Michael Albinus <[email-masked]> writes:
>
> Hi Colin,
>
>>>  I forgot to state the version of emacs and my os, sorry. The bug
>>>  occurs on emacs-26.0.50.1, not on emacs-25. My os is SMP Debian
>>>  3.2.82-1 i686 GNU/Linux.
>
>>  I could reproduce the problem locally. There's no obvious fix; I'll
>>  continue to work on this next days.
>
> I've bisected Emacs, and the following commit has been responsible for
> the problem:
>
> --8<---------------cut here---------------start------------->8---
> cbed42838e44e54460a27e643858d34b53f74c99 is the first bad commit
> commit cbed42838e44e54460a27e643858d34b53f74c99
> Author: Ken Brown <[email-masked]>
> Date: Sun Nov 13 22:00:24 2016 -0500
>
>     Use the new 'file-name-case-insensitive-p' function
> --8<---------------cut here---------------end--------------->8---
>
> I've committed a patch to master, which should fix it. Could you, pls, test?
>
> Best regards, Michael.

Your patch works for me using ssh. I have ssh'd to a remote file and remote directory successfully. However, for ftp I get the error: 'tramp-file-name-handler: Host name must not match method "ftp"', and for telnet I get the error: 'tramp-file-name-handler: Host name must not match method "telnet"'.

Hope this helps. 

Best wishes,

Colin.
Colin.